<?php
define('SYS_DIR',"sys");       //系统目录，默认为 sys
define('CACHE_DIR',"cache");      //缓存目录，默认为 cache
define('TEMPLATES_DIR',"templates");  //模板目录，默认为 templates
define('ADMIN_DIR',"admin");      //后台管理 目录，默认为 admin
define('DATA_DIR',"data");      //数据配置 目录，默认为 admin
//
define('SYS_ROOT',dirname(dirname(dirname(__FILE__)))."/sys");
define('WEB_ROOT', dirname(dirname(dirname(__FILE__))));
define('TIME', time());
require SYS_ROOT.'/fun/fun.common.php';//常用函数
require SYS_ROOT.'/fun/fun.file.php';//文件操作函数
require SYS_ROOT.'/cls/cls.msg.php';//系统消息类
require SYS_ROOT.'/cls/cls.mysql.php';//数据库类
require SYS_ROOT.'/cls_tab/base.table.php';//数据库类
$str_path=WEB_ROOT."/data/install.inc";
if(is_file($str_path)){
	echo "请删除/data目录下面的install.inc文件，再重新安装";
	exit;
}
//系统类自动加载函数
function __autoload($msg_cls){
	$str_ext=substr($msg_cls,0,7);
	$str_name=str_replace("_",".",$msg_cls).".php";
	switch($str_ext){
		case "cls_tab":
			require SYS_ROOT."/cls_tab/".substr($str_name,4);
			break;
		case "cls_ctl":
			require SYS_ROOT."/cls_ctl/".substr($str_name,4);
			break;
		default:
			require SYS_ROOT."/cls".$str_name;
	}
}
$obj_tab_sys_config=new cls_tab_sys_config;

?>
